: Class SimpleAttribute

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.resources
Class SimpleAttribute

    java.lang.Object
      |
      +--org.w3c.tools.resources.Attribute
            |
            +--org.w3c.tools.resources.SimpleAttribute

Direct Known Subclasses:
  BooleanAttribute, ClassAttribute, DoubleAttribute, FileAttribute, IntegerAttribute, LongAttribute, MimeTypeAttribute, StringAttribute

public abstract class SimpleAttribute
extends Attribute

See Also:
  Serialized Form

Fields inherited from class org.w3c.tools.resources.Attribute
`COMPUTED, DONTSAVE, EDITABLE, flags, MANDATORY, name, type`

Constructor Summary
`SimpleAttribute()`
`SimpleAttribute(java.lang.String name, java.lang.Object def, int flags)`

Method Summary
`abstract java.lang.String` | `pickle(java.lang.Object obj)` Pickle an attribute into a String.
`java.lang.String` | `stringify(java.lang.Object value)`
`abstract java.lang.Object` | `unpickle(java.lang.String value)` Unpickle an attribute from a string.

Methods inherited from class org.w3c.tools.resources.Attribute
`checkFlag, checkValue, getDefault, getFlag, getName, getType, setFlag, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleAttribute

    public SimpleAttribute(java.lang.String name,
                           java.lang.Object def,
                           int flags)

### SimpleAttribute

    public SimpleAttribute()

Method Detail

### unpickle

    public abstract java.lang.Object unpickle(java.lang.String value)

  Unpickle an attribute from a string.
  Parameters:
    `array` - the String.
  Returns:
    a Object.

### pickle

    public abstract java.lang.String pickle(java.lang.Object obj)

  Pickle an attribute into a String.
  Parameters:
    `array` - the attribute
  Returns:
    a String.

### stringify

    public java.lang.String stringify(java.lang.Object value)

  Overrides:
    stringify in class Attribute

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD